#include "frame.h"

//costruttore, inizializzamo i dati necessari
frame::frame(string img,int pause)
{
	//carichiamo l'immagine necessaria
	The_Frame=IMG_Load(img.c_str());
	
	//colore da rendere trasparente
    	Uint32 colorkey;
	//prendiamo la mappatura del colore #0000FF in base al nostro specifico formato di pixel
	colorkey = SDL_MapRGB(The_Frame->format, 0, 0, 0xFF);
	//impostiamo il colore come trasparente
    	SDL_SetColorKey(The_Frame, SDL_SRCCOLORKEY|SDL_RLEACCEL, colorkey);
	
	//pausa dal prossimo frame
	The_Pause=pause;
}

//distruttore, liberiamo la superficie necessaria
frame::~frame()
{ 
	SDL_FreeSurface(The_Frame);
}
