#ifndef __CLASS_FRAME__
#define __CLASS_FRAME__

#include <string>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

using namespace std;

class frame
{
	//la superficie del frame
	SDL_Surface *The_Frame;
	//pausa dal prossimo frame
	int The_Pause;
public:
	//costruttore
	frame(string img, int pause);
	//distruttore
	~frame();

	//function che ritorna una superficie dell'animazione
	SDL_Surface * get_surface() { return The_Frame; };
	
	//function che ritorna la larghezza del frame
	int get_w() { return The_Frame->w; };
	//function che ritorna l'altezza del frame
	int get_h() { return The_Frame->h; };

	//function che ritorna la pausa impostata
	int get_pause() { return The_Pause; };  
};

#endif
